
# Code style

## Naming Conventions:
- PascalCase: 
  - Functions
  - Class names
  - Struct names

- camelCase: 
  - Class attributes
  - Class methods
  - Struct attributes
  - Variables

## Class Structure:

- Header (.h) Files:
  - Declare public methods and attributes first, followed by private members.
- Implementation (.cpp) Files:
  - Implement methods in the same order as declared in the corresponding header file.

## Include order
  - Std
  - local ( form inc dir )
  - external raylib


## Generate shader .h files
```
xxd -i shaders/sun_100.fs > shared/inc/canvas/sunShader.hpp
xxd -i shaders/sun_330.fs >> shared/inc/canvas/sunShader.hpp
```